#include "stdio.h"
#include "intarray.h"

int main(int argc, char** argv) {
  intarray *ia = ia_new (10, 4711);
  printf ("ia[5] = %d\n", ia_read (ia, 5)); 
  printf ("ia_write returns %d\n",
    ia_write (ia, 5, 42)); // inside of allocated array
  printf ("ia[5] = %d\n", ia_read (ia, 5)); 
  printf ("ia[1024] = %d\n", ia_read (ia, 1024));
  printf ("ia_write returns %d\n",
    ia_write (ia, 2000, 666));
  printf ("ia[5] = %d\n", ia_read (ia, 5)); 
  printf ("ia[1024] = %d\n", ia_read (ia, 1024));
  printf ("ia[2000] = %d\n", ia_read (ia, 2000));
  printf ("ia[2021] = %d\n", ia_read (ia, 2021));
  ia_destroy (ia);
}

